Get trade history
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/historyimport requests
url = "https://futures.kraken.com/derivatives/api/v3/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/derivatives/api/v3/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/history"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"history": [
{
"price": 123,
"time": "<string>",
"side": "<string>",
"size": "<string>",
"trade_id": 123,
"type": "fill",
"uid": "<string>",
"sequence_id": "<string>",
"instrument_identification_type": "<string>",
"isin": "<string>",
"execution_venue": "<string>",
"price_notation": "<string>",
"price_currency": "<string>",
"notional_amount": 123,
"notional_currency": "<string>",
"publication_time": "<string>",
"publication_venue": "<string>",
"transaction_identification_code": "<string>",
"to_be_cleared": true
}
],
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}Market Data
Get trade history
This endpoint returns the most recent 100 trades prior to the specified lastTime value up
to past 7 days or recent trading engine restart (whichever is sooner).
If no lastTime specified, it will return 100 most recent trades.
GET
/
history
Get trade history
curl --request GET \
--url https://futures.kraken.com/derivatives/api/v3/historyimport requests
url = "https://futures.kraken.com/derivatives/api/v3/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://futures.kraken.com/derivatives/api/v3/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://futures.kraken.com/derivatives/api/v3/history"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"history": [
{
"price": 123,
"time": "<string>",
"side": "<string>",
"size": "<string>",
"trade_id": 123,
"type": "fill",
"uid": "<string>",
"sequence_id": "<string>",
"instrument_identification_type": "<string>",
"isin": "<string>",
"execution_venue": "<string>",
"price_notation": "<string>",
"price_currency": "<string>",
"notional_amount": 123,
"notional_currency": "<string>",
"publication_time": "<string>",
"publication_venue": "<string>",
"transaction_identification_code": "<string>",
"to_be_cleared": true
}
],
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}Query Parameters
The symbol of the Futures.
Returns the last 100 trades from the specified lastTime value.
Response
200 - application/json
- Success Response
- Errors
A list containing structures with historical price information. The list is sorted descending by time.
Show child attributes
Show child attributes
Available options:
success Example:
"success"
Server time in Coordinated Universal Time (UTC)
Example:
"2020-08-27T17:03:33.196Z"
Was this page helpful?